﻿////////////////////////////////////////////////////////////////
// Exemple d'utilisation de LocalConnection avec TeP          //
// avec l'environnement Scite + MTASC                         //
// pour écrire des expressions Mathématiques                  //
// Développé à l'origine pour TracenPoche  tracenpoche.net    //
////////////////////////////////////////////////////////////////
// ---------------------------------------------------------- //
// Réalisé par KEOPS - Libre GNU GPL - MARS 2008              //
////////////////////////////////////////////////////////////////

class Tableau_mt {
	// l'application autonomme
	static var app1 : Tableau_mt;
	//
	public var receivingLC : LocalConnection;
	//
	// appui sur le bouton Recup : on demande à TeP la valeur de la variable ...
	function go() {
		var param2 : String = _root["saisie"].text;
		var sendingLC : LocalConnection = new LocalConnection();
		sendingLC.send("tep", "methodToExecute", "recupVal", param2);
		_root["debug"].text="Envoyé pour évaluation :"+param2;
	}
	//
	//quand TeP répond, c'est ici qu'on filtre la réponse ...
	function receivingMethode(param1 : String,param2 : String) : Void {

		if(param1=="retVal") {
			_root["debug"].text="Récupéré : "+param2;
		} else {
			_root["debug"].text="Retour : "+param1+" -> "+param2;
		}
	}
	// initialisation : on créé une zone texte d'édition, un bouton et une zone de dessin
	function Tableau_mt() {
		//initialisation de la LocalConnection pour recevoir les réponses de TeP
		this.receivingLC = new LocalConnection();
		this.receivingLC.methodToExecute=this.receivingMethode;
		this.receivingLC.connect("tableau");
		//
		var t : String = "Saisir le nom d'une variable à évaluer dans une figure TeP affichée.";
		//champ texte input
		_root.createTextField("saisie",1,0,0,Stage.width-1,20);
		_root["saisie"].type="input";
		_root["saisie"].border=true;
		_root["saisie"].text=t;
		// bouton
		_root.createEmptyMovieClip("bouton",2);
		_root["bouton"]._x=0;
		_root["bouton"]._y=24;
		_root["bouton"].lineStyle(1,0x000000,100);
		_root["bouton"].beginFill(0x00FFFF,50);
		_root["bouton"].moveTo(0,0);
		_root["bouton"].lineTo(50,0);
		_root["bouton"].lineTo(50,20);
		_root["bouton"].lineTo(0,20);
		_root["bouton"].lineTo(0,0);
		_root["bouton"].endFill();
		_root["bouton"].onPress=this.go;
		_root["bouton"].createTextField("label",1,15,0,50,20);
		_root["bouton"]["label"].text="Recup";
		//champ texte debug
		_root.createTextField("debug",10,75,24,300,200);
		_root["debug"].text="debug";
		_root["debug"].multiline = true;
		_root["debug"].wordWrap = true;
		// zone dessin
	}
	//
	// appli autonome
	static function main(mc : MovieClip): Void {
		app1 = new Tableau_mt();
	}
}